Bug 1123579 - Review Request: rubygem-colorize - Add color methods to String class
Summary: Review Request: rubygem-colorize - Add color methods to String class
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
urgent
medium
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1348005
TreeView+ depends on / blocked
 
Reported: 2014-07-26 20:16 UTC by Christos Triantafyllidis
Modified: 2017-06-01 13:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-01 05:09:40 UTC
germano.massullo: fedora-review+


Attachments (Terms of Use)

Description Christos Triantafyllidis 2014-07-26 20:16:43 UTC
Spec URL: 
https://ctria.fedorapeople.org/packaging/rubygem-colorize/rubygem-colorize.spec

SRPM URL: 
https://ctria.fedorapeople.org/packaging/rubygem-colorize/rubygem-colorize-0.7.3-1.fc20.src.rpm

Fedora 20 RPMS:
https://ctria.fedorapeople.org/packaging/rubygem-colorize/rubygem-colorize-0.7.3-1.fc20.noarch.rpm
https://ctria.fedorapeople.org/packaging/rubygem-colorize/rubygem-colorize-doc-0.7.3-1.fc20.noarch.rpm

Description: 
Ruby String class extension. Adds methods to set text color, background color and, text effects on ruby console and command line output, using ANSI escape sequences.

Fedora Account System Username: 
ctria

Comment 1 Steve Traylen 2014-08-08 13:02:04 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-colorize-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems

  fedora-review which produced this comment
  is no longer correct here:
     https://bugzilla.redhat.com/show_bug.cgi?id=1128094
  submitted.

- It should be hopefully easy enough to get the tests to run 
  in %check
  A simple execution of 'testrb -Ilib test' looks to do the job.

- Drop the Buidrequires on rake , the guidelines say not 
  to use it for tests (not sure I actually agree with that but
  that is what it says)

- All of the Requires and Provides should go for fc > 21. They
  are automatic now.

- Use %{gem_install} rather than way you have for %install.
 
- The README and CHANGELOG should be the docs package I would 
  say.

-  The files %{gem_spec} and %{gem_instdir}/%{gem_name}.gemspec are the same
   I would %exclude the latter. The first is needed runtime.



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     Clearly GPL2+
[X]: License field in the package spec file matches the actual license.
[X]: License file installed when any subpackage combination is installed.
[X]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
$ irb
irb(main):001:0> require 'colorize'
=> true
irb(main):002:0> puts 'blue'.colorize(:blue)
blue
=> nil

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem should use %gem_install macro.
[!]: Test suite of the library should be run.
[?]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros:
     /usr/share/gems/specifications/colorize-0.7.3.gemspec, %exclude
     /usr/share/gems/cache/colorize-0.7.3.gem
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-colorize-0.7.3-1.fc20.noarch.rpm
          rubygem-colorize-doc-0.7.3-1.fc20.noarch.rpm
          rubygem-colorize-0.7.3-1.fc20.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-colorize-doc rubygem-colorize
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-colorize-doc (rpmlib, GLIBC filtered):
    rubygem-colorize

rubygem-colorize (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)



Provides
--------
rubygem-colorize-doc:
    rubygem-colorize-doc

rubygem-colorize:
    rubygem(colorize)
    rubygem-colorize



Source checksums
----------------
https://rubygems.org/gems/colorize-0.7.3.gem :
  CHECKSUM(SHA256) this package     : 628fedcf1a25b774b3ef84df5c5c28e0c329b67527cfeafd6dd0e707eced8c41
  CHECKSUM(SHA256) upstream package : 628fedcf1a25b774b3ef84df5c5c28e0c329b67527cfeafd6dd0e707eced8c41


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1123579
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Christos Triantafyllidis 2015-03-14 22:15:03 UTC
Hello Steve,

   Thank you for your time on this and I apologize for the long delay on that (the project I needed this for got postponed a bit).

   On your comments:
- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-colorize-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems

  fedora-review which produced this comment
  is no longer correct here:
     https://bugzilla.redhat.com/show_bug.cgi?id=1128094
  submitted.

I didn't change anything on that. At any case the -doc file should not directly require rubygems.

- It should be hopefully easy enough to get the tests to run 
  in %check
  A simple execution of 'testrb -Ilib test' looks to do the job.

Done. I tried to use minitest but I couldn't make it run without changing upstream's tests so I preferred to keep the Test::UNIT based ones.

- Drop the Buidrequires on rake , the guidelines say not 
  to use it for tests (not sure I actually agree with that but
  that is what it says)

Done.

- All of the Requires and Provides should go for fc > 21. They
  are automatic now.

Done.

- Use %{gem_install} rather than way you have for %install.

Not sure if I got what you mean correctly here. The current ruby packaging guide says to not do so:
https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#.25build
 
- The README and CHANGELOG should be the docs package I would 
  say.

Done.

-  The files %{gem_spec} and %{gem_instdir}/%{gem_name}.gemspec are the same
   I would %exclude the latter. The first is needed runtime.

Done.


  In addition I upgraded it to the latest upstream (0.7.5):
https://ctria.fedorapeople.org/packaging/rubygem-colorize/rubygem-colorize.spec
https://ctria.fedorapeople.org/packaging/rubygem-colorize/rubygem-colorize-0.7.5-1.fc21.src.rpm

Cheers,
Christos

Comment 4 Upstream Release Monitoring 2015-10-04 00:15:28 UTC
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11324994

Comment 5 Upstream Release Monitoring 2015-10-04 00:16:31 UTC
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11324998

Comment 6 Upstream Release Monitoring 2015-10-04 00:24:24 UTC
awd123's scratch build of color-0.0.8-1.src.rpm for f21 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11325006

Comment 7 Upstream Release Monitoring 2015-10-04 00:25:02 UTC
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11325010

Comment 8 Upstream Release Monitoring 2015-10-04 00:28:22 UTC
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11325018

Comment 9 Steve Traylen 2015-11-03 10:14:24 UTC
Christos, do you want to finish this off and close it.

Comment 10 Upstream Release Monitoring 2015-11-04 22:31:45 UTC
ctria's scratch build of rubygem-colorize-0.7.7-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11705302

Comment 11 Upstream Release Monitoring 2015-11-04 22:36:51 UTC
ctria's scratch build of rubygem-colorize-0.7.7-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11705312

Comment 12 Upstream Release Monitoring 2015-11-04 22:39:03 UTC
ctria's scratch build of rubygem-colorize-0.7.7-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11705294

Comment 13 Upstream Release Monitoring 2015-11-04 23:25:00 UTC
ctria's scratch build of rubygem-colorize-0.7.7-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11706052

Comment 14 Christos Triantafyllidis 2015-11-04 23:29:49 UTC
Hello Steve,

Sure, let's finish that.

Updated to the latest upstream (0.7.7):
https://ctria.fedorapeople.org/packaging/rubygem-colorize/rubygem-colorize.spec
https://ctria.fedorapeople.org/packaging/rubygem-colorize/rubygem-colorize-0.7.7-1.fc23.src.rpm

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=11706052

Cheers,
Christos

Comment 15 Fabio Alessandro Locati 2016-07-04 15:05:33 UTC
This is blocking rubygem-bettercap and seems like there has been no updates in the last 7+ months. Any updates from Christos/Steve?

If a reviewer is needed, I can do it

Comment 16 Christos Triantafyllidis 2016-09-10 16:44:27 UTC
Hey Steve,

Are you still available to review that?

I'll update the request later today to current upstream version (0.8.1).

Cheers,
Christos

Comment 18 Fabio Alessandro Locati 2016-09-11 22:56:43 UTC
I can pickup the review, if Steve is not interested/active on this anymore!

Comment 19 Germano Massullo 2016-09-12 20:54:44 UTC
(In reply to Fabio Alessandro Locati from comment #18)
> I can pickup the review, if Steve is not interested/active on this anymore!

I have no hope in Steve's reply

Comment 20 Germano Massullo 2016-09-14 14:10:19 UTC
|===========|
|  ISSUES   |
|===========|

- Please add into the spec file a comment that describes
the patch




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     colorize-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: When checking ruby code, install the ruby plugin.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: rubygem-colorize-0.8.1-1.fc26.noarch.rpm
          rubygem-colorize-doc-0.8.1-1.fc26.noarch.rpm
          rubygem-colorize-0.8.1-1.fc26.src.rpm
rubygem-colorize.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
rubygem-colorize.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
rubygem-colorize-doc (rpmlib, GLIBC filtered):
    rubygem-colorize

rubygem-colorize (rpmlib, GLIBC filtered):
    ruby(rubygems)



Provides
--------
rubygem-colorize-doc:
    rubygem-colorize-doc

rubygem-colorize:
    rubygem(colorize)
    rubygem-colorize



Source checksums
----------------
https://rubygems.org/gems/colorize-0.8.1.gem :
  CHECKSUM(SHA256) this package     : 0ba0c2a58232f9b706dc30621ea6aa6468eeea120eb6f1ccc400105b90c4798c
  CHECKSUM(SHA256) upstream package : 0ba0c2a58232f9b706dc30621ea6aa6468eeea120eb6f1ccc400105b90c4798c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -rn rubygem-colorize-0.8.1-1.fc24.src.rpm -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 21 Christos Triantafyllidis 2017-01-08 01:05:43 UTC
Hello,

Looks like I missed the updates on that.

Thank you for the review.

I've changed the comment for the patch to:
Removes the reporting of test coverage to Code Climate's host

I hope that is clear now.

Scratch builds:
F25: http://koji.fedoraproject.org/koji/taskinfo?taskID=17204830
rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=17204832

Cheers,
Christos

Comment 22 Germano Massullo 2017-02-20 11:18:39 UTC
Could you re upload the srpm file some elsewhere? It is no longer available in Koji

Comment 24 Germano Massullo 2017-02-20 12:00:16 UTC
Package approved




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     colorize-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: When checking ruby code, install the ruby plugin.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: rubygem-colorize-0.8.1-1.fc26.noarch.rpm
          rubygem-colorize-doc-0.8.1-1.fc26.noarch.rpm
          rubygem-colorize-0.8.1-1.fc26.src.rpm
rubygem-colorize.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rubygem-colorize.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
rubygem-colorize-doc (rpmlib, GLIBC filtered):
    rubygem-colorize

rubygem-colorize (rpmlib, GLIBC filtered):
    ruby(rubygems)



Provides
--------
rubygem-colorize-doc:
    rubygem-colorize-doc

rubygem-colorize:
    rubygem(colorize)
    rubygem-colorize



Source checksums
----------------
https://rubygems.org/gems/colorize-0.8.1.gem :
  CHECKSUM(SHA256) this package     : 0ba0c2a58232f9b706dc30621ea6aa6468eeea120eb6f1ccc400105b90c4798c
  CHECKSUM(SHA256) upstream package : 0ba0c2a58232f9b706dc30621ea6aa6468eeea120eb6f1ccc400105b90c4798c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -rn rubygem-colorize-0.8.1-1.fc25.src.rpm -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 25 Christos Triantafyllidis 2017-02-20 12:10:02 UTC
Thank you Germano!

Comment 26 Gwyn Ciesla 2017-02-21 13:52:07 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-colorize

Comment 27 Fedora Update System 2017-02-22 00:33:08 UTC
rubygem-colorize-0.8.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c08a5b1590

Comment 28 Fedora Update System 2017-02-22 00:34:35 UTC
rubygem-colorize-0.8.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5673253c83

Comment 29 Fedora Update System 2017-02-22 18:53:15 UTC
rubygem-colorize-0.8.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5673253c83

Comment 30 Fedora Update System 2017-02-22 21:09:04 UTC
rubygem-colorize-0.8.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c08a5b1590

Comment 31 Fedora Update System 2017-06-01 05:09:40 UTC
rubygem-colorize-0.8.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-06-01 13:55:19 UTC
rubygem-colorize-0.8.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.